
#language: ru

@MovingProducts

Функционал: 015. MovingProducts. Создание накладных и корректировок

Сценарий: 015.1. MovingProducts. Создание перемещения товаров вручную - проверка работы всех кнопок

	Дано Я подключаюсь под "Формирование накладных"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.015. Перемещение товаров"
	Дано я удаляю все элементы таблицы "РегистрСведений.к2НастройкиПечатиОбъектов"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на отгрузку'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю кнопку выбора у поля "План отгрузки"
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           |
		| 'План отгрузки для перемещения вручную' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И в таблице "Список" я перехожу к строке:
		| 'Склад'     |
		| 'Сырная ГП' |
	И я нажимаю на кнопку 'Товарные накладные'
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И элемент формы "Организация" стал равен "Организация"
	И элемент формы "Подразделение" стал равен "Подразделение приемки заказов"
	И элемент формы "Склад отправитель" стал равен "Сырная ГП"
	И элемент формы "Склад получатель" стал равен "Склад готовой продукции"
	И в поле с именем 'Дата' я ввожу текст '13.10.2019  0:00:00'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно 'Подразделения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Подразделение приемки заказов' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И я нажимаю кнопку выбора у поля с именем "СкладОтправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И элемент формы с именем "СкладОтправитель" стал равен 'Сырная ГП'
	И из выпадающего списка с именем "СкладОтправитель" я выбираю по строке 'Сырная ГП'
	И элемент формы с именем "СкладОтправитель" стал равен 'Сырная ГП'
	И я нажимаю кнопку выбора у поля с именем "СкладПолучатель"
	Тогда открылось окно 'Склады' 
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Склад готовой продукции' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И элемент формы с именем "СкладПолучатель" стал равен 'Склад готовой продукции'
	И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Склад готовой продукции'
	И элемент формы с именем "СкладПолучатель" стал равен 'Склад готовой продукции'
	И я нажимаю кнопку выбора у поля "Задание на доставку"
	Тогда открылось окно 'Задания на доставку'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И в поле с именем 'ЗаданиеНаДоставку' я ввожу текст ''
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Распоряжение'               | 'Номенклатура'   | 'Ед.' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Распоряжение на отгрузку *' | 'Сыр Адыгейский' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '10,000, кг'     | '10'      |
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (5 кг) (Ашан)'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '102,5'   |
	И в таблице "Товары" я активизирую поле "Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку 'Копировать строки'
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Вставить строки'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '102,5'   |
	И в таблице "Товары" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И я нажимаю на кнопку 'Иерархия'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'               |
		| 'Крылья куринные (подложка)' |
		| 'Сыр Адыгейский'             |
		| 'Сыр Костромской'            |
		| 'Сыр Пошехонский'            |
		И я нажимаю на кнопку 'Иерархия'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Пошехонский' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "ПодобраннаяНоменклатура" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Характеристика" я выбираю по строке 'Перекресток'
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Упаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "ПодобраннаяНоменклатура" я завершаю редактирование строки
	Тогда таблица "ПодобраннаяНоменклатура" стала равной:
		| 'Номенклатура'    | 'Характеристика' | 'Упаковка'           |
		| 'Сыр Адыгейский'  | 'Ашан'           | 'упак (5 кг) (Ашан)' |
		| 'Сыр Пошехонский' | 'Перекресток'    | 'упак (1 кг)'        |
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '102,5'   |
		| '20,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'        | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '22,460, кг'     | '44,92'   |
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" я нажимаю на кнопку 'Разбить строку'
	Тогда открылось окно 'Введите количество товара в новой строке'
	И в поле 'InputFld' я ввожу текст '15,000'
	И я нажимаю на кнопку 'OK'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '102,5'   |
		| '5,000'      | 'Сыр Пошехонский' | 'упак (1 кг)'        | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '5,615, кг'      | '11,23'   |
		| '15,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'        | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '16,845, кг'     | '33,69'   |
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "10,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	И я нажимаю кнопку выбора у поля "Комментарий"
	Тогда открылось окно 'Комментарий'
	И в поле 'InputFld' я ввожу текст 'Перемещение вручную'
	И я нажимаю на кнопку 'OK'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Перемещение товаров * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Перемещение * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И Я закрываю окно 'Распоряжения на отгрузку'

Сценарий: 015.2. MovingProducts. Создание перемещения товаров через АРМ Формирование накладных

	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я перехожу к закладке "Формирование накладных"
	И я нажимаю кнопку выбора у поля "Период"
	И Я указываю в диалоге стандартного периода период с "01.10.2019" по "31.10.2019"
	Тогда открылось окно 'Формирование накладных'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля с именем "ОтборПолучатель"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Склад' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Склад готовой продукции' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 		|'Статус' |
		| 'А524НВ Газель, Водитель Петров Петр' |''       |
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю текущую строку с подчиненными
	И я нажимаю на кнопку 'Сформировать'
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 		|    'Статус'    |
		| 'А524НВ Газель, Водитель Петров Петр' | 'Сформирована' |
	И в таблице "ДеревоДокументовОтгрузки" я активизирую поле "Транспорт/Распоряжение/Заказ"
	И в таблице "ДеревоДокументовОтгрузки" я выбираю текущую строку
	Тогда открылось окно 'Задание на доставку * от *'
	И Я закрываю окно 'Задание на доставку * от *'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 		|    'Статус'    |
		| 'А524НВ Газель, Водитель Петров Петр' | 'Сформирована' |
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю текущую строку
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке по шаблону:
		| 'Вес' | 'Статус'       | 'Транспорт/Распоряжение/Заказ'    |
		| '10'  | 'Сформирована' | 'Распоряжение на отгрузку * от *' |
	И в таблице "ДеревоДокументовОтгрузки" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на отгрузку * от *'
	И Я закрываю окно 'Распоряжение на отгрузку * от *'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю текущую строку
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 		| 'Статус'       |
		| 'А524НВ Газель, Водитель Петров Петр' | 'Сформирована' |
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю текущую строку
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке по шаблону:
		| 'Вес' | 'Статус'       | 'Транспорт/Распоряжение/Заказ'    |
		| '10'  | 'Сформирована' | 'Распоряжение на отгрузку * от *' |
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке по шаблону:
		| 'Вес' | 'Накладная'                  | 'Получатель'              | 'Статус'       | 'Транспорт/Распоряжение/Заказ' |
		| '10'  | 'Перемещение товаров * от *' | 'Склад готовой продукции' | 'Сформирована' | 'Заказ на перемещение * от *'   |
	И в таблице "ДеревоДокументовОтгрузки" я выбираю текущую строку
	Тогда открылось окно 'Заказ на перемещение * от *'
	И Я закрываю окно 'Заказ на перемещение * от *'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я активизирую поле "Накладная"
	И в таблице "ДеревоДокументовОтгрузки" я выбираю текущую строку
	Тогда открылось окно 'Перемещение товаров * от *'
	И Я закрываю окно 'Перемещение товаров * от *'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю кнопку очистить у поля с именем "ОтборПолучатель"
	И Я закрываю окно 'Формирование накладных'

Сценарий: 015.3. MovingProducts. Проверка перемещения товаров, созданного через АРМ Формирования накладных

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Организация' | 'Ответственный'          | 'Отправитель' | 'Подразделение'                 | 'Получатель'              | 'Комментарий' |
		| 'Организация' | 'Формирование накладных' | 'Сырная ГП'   | 'Подразделение приемки заказов' | 'Склад готовой продукции' | ''            |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Перемещение товаров * от *'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И элемент формы с именем "СкладОтправитель" стал равен 'Сырная ГП'
	И элемент формы с именем "СкладПолучатель" стал равен 'Склад готовой продукции'
	И таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Распоряжение'               | 'Номенклатура'   | 'Ед.' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Распоряжение на отгрузку *' | 'Сыр Адыгейский' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '10,000, кг'     | '10'      |
	И Я закрываю окно 'Перемещение товаров * от *'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 015.4. MovingProducts. Установка у накладных статусов Выдана

	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я перехожу к закладке "Формирование накладных"
	И я нажимаю на гиперссылку "Период"
	И Я указываю в диалоге стандартного периода период с "12.10.2019" по "12.10.2019"
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Статус'       | 'Транспорт/Распоряжение/Заказ'        |
		| 'Сформирована' | 'А524НВ Газель, Водитель Петров Петр' |
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Выдать'
	И Я закрываю окно 'Формирование накладных'

Сценарий: 015.5. MovingProducts. АРМ Возврат и корректировка накладных - корректировка перемещения

	И В командном интерфейсе я выбираю 'Заказы' 'Возврат и корректировка накладных'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И я нажимаю на гиперссылку "Период"
	И Я указываю в диалоге стандартного периода текущую дату
	Тогда открылось окно 'Возврат и корректировка накладных'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку 'ФормаОбновитьДеревоНакладных'
	И в таблице "ДеревоНакладных" я разворачиваю строку:
		| 'Транспорт, Водитель / Накладная / Корректировка' |
		| 'А524НВ Газель, Водитель Петров Петр'             |
	И в таблице "ДеревоНакладных" я перехожу к строке:
		| 'Получатель'              |
		| 'Склад готовой продукции' |
	И я нажимаю на кнопку 'Скорректировать'
	Тогда открылось окно 'Корректировка документа'
	И в таблице "Товары" я выбираю текущую строку
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '15,000'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Пошехонский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И таблица "Товары" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'По документу' | 'Серия'                        | 'Ед. изм.' | 'Факт'       | 'Расхождение' | 'Причина расхождения' |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '10,000, кг'   | '000001 до 27.10.2020 0:00:00' | 'кг'       | '15,000, кг' | '5,000, кг'   | ''                    |
		| 'Сыр Пошехонский' | '<Без маркировки>' | 'кг'           | '000001 до 27.10.2020 0:00:00' | 'кг'       | '10,000, кг' | '10,000, кг'  | ''                    |
	И у элемента формы с именем "КоличествоПоДокументуИтог" текст редактирования стал равен '10,000'
	И у элемента формы с именем "КоличествоИтог" текст редактирования стал равен '25,000'
	И у элемента формы с именем "КоличествоРасхождениеИтог" текст редактирования стал равен '15,000'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И Я закрываю окно 'Возврат и корректировка накладных'

Сценарий: 015.6. MovingProducts. Проверка корректировки перемещения, удаление корректировок для проверки печатных форм

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выдана'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Перемещение товаров * от *'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' |
		| '15,000'     | 'Сыр Адыгейский'  | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '15,000, кг'     |
		| '10,000'     | 'Сыр Пошехонский' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '10,000, кг'     |
	И в таблице "Товары" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.' | 'Количество' | 'Номенклатура'    | 'Серия'                        | 'Характеристика'   |
		| '15,000, кг'     | 'кг'  | '15,000'     | 'Сыр Адыгейский'  | '000001 до 27.10.2020 0:00:00' | '<Без маркировки>' |
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.' | 'Количество' | 'Номенклатура'    | 'Серия'                        | 'Характеристика'   |
		| '10,000, кг'     | 'кг'  | '10,000'     | 'Сыр Пошехонский' | '000001 до 27.10.2020 0:00:00' | '<Без маркировки>' |
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И в поле с именем 'Комментарий' я ввожу текст 'Проверка корректировки перемещения'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Перемещение товаров * от * *' в течение 20 секунд
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю кнопку очистить у поля "Статус"
	И я закрываю окно 'Перемещения товаров'

Сценарий: 015.7. MovingProducts. Проверка даты запрета в перемещении товаров

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Перемещение товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '20.12.2018  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И из выпадающего списка с именем "СкладОтправитель" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Склад готовой продукции'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И Я закрываю окно 'Перемещение товаров (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 015.8. MovingProducts. Отчет Анализ исполнения заказов

	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И я нажимаю на гиперссылку "Анализ исполнения заказов"
	Тогда открылось окно 'Анализ исполнения заказов'
	И Я в отчете устанавливаю период "01.04.2020" по текущую дату
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Анализ исполнения заказов на перемещение без отборов" по шаблону
	И Я закрываю окно 'Анализ исполнения заказов'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 015.9. MovingProducts. Печать по перемещению. ТТН

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Статус' | 
		| 'Выдана' | 
	И я нажимаю на кнопку 'Товарно-транспортная накладная (1-Т)'
	Тогда открылось окно 'Перемещение товаров *'
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R6C3" в течение 20 секунд
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТТН для перемещения"
	И Я закрываю окно 'Перемещение товаров *'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 015.10. MovingProducts. Печать по перемещению. ТН

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Статус' | 
		| 'Выдана' |
	И я нажимаю на кнопку 'Транспортная накладная'
	Тогда открылось окно 'Перемещение товаров *'
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R5C22" в течение 20 секунд
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТН для перемещения" по шаблону
	И Я закрываю окно 'Перемещение товаров *'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 015.11. MovingProducts. Печать по перемещению. ТОРГ-13

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Статус' | 
		| 'Выдана' |
	И я нажимаю на кнопку 'Накладная на внутреннее перемещение (ТОРГ-13)'
	Тогда открылось окно 'Перемещение товаров *'
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R4C2" в течение 20 секунд
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТОРГ-13 для перемещения"
	И Я закрываю окно 'Перемещение товаров *'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 015.12. MovingProducts. Печать по перемещению. Сертификаты

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Статус' | 
		| 'Выдана' |
	И я нажимаю на кнопку 'Сертификаты (реестр)'
	Тогда открылось окно 'Перемещение товаров *'
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R7C2" в течение 20 секунд
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Реестр сертификатов номенклатуры для перемещения"
	И Я закрываю окно 'Перемещение товаров *'
	И я нажимаю на кнопку 'Сертификаты (по каждой позиции документа)'
	Тогда открылось окно 'Перемещение товаров *'
	И Я закрываю окно 'Перемещение товаров *'
	И я нажимаю на кнопку 'Сертификаты (по одному на сертификат)'
	Тогда открылось окно 'Перемещение товаров *'
	И Я закрываю окно 'Перемещение товаров *'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 015.13. MovingProducts. Комплект документов, проверка настроек - перемещения

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Статус' | 
		| 'Выдана' |
	И я нажимаю на кнопку 'Комплект документов на принтер'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '2'           |
		| 'Да'       | 'Транспортная Накладная'                        | '2'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '2'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '2'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '2'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И я нажимаю на кнопку 'Установить стандартные настройки'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров"'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '1'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация"'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП"'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП" по партнеру "Склад готовой продукции"'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП" по партнеру "Склад готовой продукции"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВниз'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВниз'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП" по партнеру "Склад готовой продукции"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП" по партнеру "Склад готовой продукции"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку 'Комплект документов с настройкой...'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 015.14. MovingProducts. Печать комплекта документов (формирование накладных) - на принтер и с настройкой (для реализации и перемещения)

	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю кнопку выбора у поля "Период"
	И Я указываю в диалоге стандартного периода период с "01.10.2019" по "31.10.2019"
	Тогда открылось окно 'Формирование накладных'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Статус'       | 'Транспорт/Распоряжение/Заказ' 			|
		| 'Выдана'       | 'А524НВ Газель, Водитель Петров Петр' 	|
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И в таблице "КомплектПечатныхФорм" я перехожу на одну строку вверх
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '2'           |
		| 'Да'       | 'Транспортная Накладная'                        | '2'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '2'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '2'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '2'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И я нажимаю на кнопку 'Установить стандартные настройки'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров"'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '1'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация"'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП"'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'                        |
		| 'Сертификаты (по одному на сертификат)' |
	И в таблице "КомплектПечатныхФорм" в поле 'Экземпляров' я ввожу текст '2'
	И в таблице "КомплектПечатныхФорм" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП" по партнеру "Склад готовой продукции"'
	Тогда открылось окно 'Печать комплекта документов'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '2'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП" по партнеру "Склад готовой продукции"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВниз'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВниз'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И в таблице "КомплектПечатныхФорм" я перехожу к строке:
		| 'Печатная форма'       |
		| 'Сертификаты (реестр)' |
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И в таблице "КомплектПечатныхФорм" я нажимаю на кнопку с именем 'КомплектПечатныхФормПереместитьВверх'
	И я нажимаю на кнопку 'Сохранить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП" по партнеру "Склад готовой продукции"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И я нажимаю на кнопку 'Удалить настройки для документов "Перемещение товаров" по организации "Организация" по складу "Сырная ГП" по партнеру "Склад готовой продукции"'
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Печать комплекта с настройкой'
	Тогда открылось окно 'Печать комплекта документов'
	И таблица "КомплектПечатныхФорм" стала равной:
		| 'Печатать' | 'Печатная форма'                                | 'Экземпляров' |
		| 'Да'       | 'Товарно-транспортная накладная (1-Т)'          | '1'           |
		| 'Да'       | 'Транспортная Накладная'                        | '1'           |
		| 'Да'       | 'Накладная на внутреннее перемещение (ТОРГ-13)' | '1'           |
		| 'Да'       | 'Сертификаты (реестр)'                          | '1'           |
		| 'Да'       | 'Сертификаты (по каждой позиции документа)'     | '1'           |
		| 'Да'       | 'Сертификаты (по одному на сертификат)'         | '1'           |
	И Я закрываю окно 'Печать комплекта документов'
	Тогда открылось окно 'Формирование накладных'
	И Я закрываю окно 'Формирование накладных'

Сценарий: 015.15. MovingProducts. Проверка отборов для перемещений товаров

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на гиперссылку "Период"
	И Я указываю в диалоге стандартного периода период с "13.10.2019" по "13.10.2019"
	Тогда открылось окно 'Перемещения товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Получатель'              | 'Статус'       | 'Организация' | 'Подразделение'                 | 'Отправитель' | 'Ответственный' | 'Комментарий'         |
		| '13.10.2019' | 'Склад готовой продукции' | 'Сформирована' | 'Организация' | 'Подразделение приемки заказов' | 'Сырная ГП'   | 'Администратор' | 'Перемещение вручную' |
	И из выпадающего списка "Подразделение" я выбираю по строке 'Обособленное подразделение'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Получатель'              | 'Статус'       | 'Организация' | 'Подразделение'                 | 'Отправитель' | 'Ответственный' | 'Комментарий'         |
		| '13.10.2019' | 'Склад готовой продукции' | 'Сформирована' | 'Организация' | 'Подразделение приемки заказов' | 'Сырная ГП'   | 'Администратор' | 'Перемещение вручную' |
	И я нажимаю кнопку выбора у поля "Задание на доставку"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| '(План) Начало рейса ' |
		| '12.10.2019 0:00:00'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Перемещения товаров'
	Тогда в таблице "Список" количество строк "равно" 0
	И я нажимаю кнопку очистить у поля "Задание на доставку"
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Получатель'              | 'Статус'       | 'Организация' | 'Подразделение'                 | 'Отправитель' | 'Ответственный' | 'Комментарий'         |
		| '13.10.2019' | 'Склад готовой продукции' | 'Сформирована' | 'Организация' | 'Подразделение приемки заказов' | 'Сырная ГП'   | 'Администратор' | 'Перемещение вручную' |
	И я нажимаю кнопку выбора у поля "Заказ на перемещение"
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                     |
		| 'Заказ на перемещение из таблицы' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Перемещения товаров'
	Тогда в таблице "Список" количество строк "равно" 0
	И я нажимаю кнопку выбора у поля "Заказ на перемещение"
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                  |
		| 'Заказ на перемещение для перемещения вручную' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Перемещения товаров'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Получатель'              | 'Статус'       | 'Организация' | 'Подразделение'                 | 'Отправитель' | 'Ответственный' | 'Комментарий'         |
		| '13.10.2019' | 'Склад готовой продукции' | 'Сформирована' | 'Организация' | 'Подразделение приемки заказов' | 'Сырная ГП'   | 'Администратор' | 'Перемещение вручную' |
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Куриная ГП'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Сырная ГП'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Получатель'              | 'Статус'       | 'Организация' | 'Подразделение'                 | 'Отправитель' | 'Ответственный' | 'Комментарий'         |
		| '13.10.2019' | 'Склад готовой продукции' | 'Сформирована' | 'Организация' | 'Подразделение приемки заказов' | 'Сырная ГП'   | 'Администратор' | 'Перемещение вручную' |
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Куриная ГП'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад готовой продукции'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Получатель'              | 'Статус'       | 'Организация' | 'Подразделение'                 | 'Отправитель' | 'Ответственный' | 'Комментарий'         |
		| '13.10.2019' | 'Склад готовой продукции' | 'Сформирована' | 'Организация' | 'Подразделение приемки заказов' | 'Сырная ГП'   | 'Администратор' | 'Перемещение вручную' |
	И из выпадающего списка "Статус" я выбираю по строке 'Выдана'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Статус" я выбираю точное значение 'Сформирована'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Получатель'              | 'Статус'       | 'Организация' | 'Подразделение'                 | 'Отправитель' | 'Ответственный' | 'Комментарий'         |
		| '13.10.2019' | 'Склад готовой продукции' | 'Сформирована' | 'Организация' | 'Подразделение приемки заказов' | 'Сырная ГП'   | 'Администратор' | 'Перемещение вручную' |
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Пошехонский'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Получатель'              | 'Статус'       | 'Организация' | 'Подразделение'                 | 'Отправитель' | 'Ответственный' | 'Комментарий'         |
		| '13.10.2019' | 'Склад готовой продукции' | 'Сформирована' | 'Организация' | 'Подразделение приемки заказов' | 'Сырная ГП'   | 'Администратор' | 'Перемещение вручную' |
	И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Получатель'              | 'Статус'       | 'Организация' | 'Подразделение'                 | 'Отправитель' | 'Ответственный' | 'Комментарий'         |
		| '13.10.2019' | 'Склад готовой продукции' | 'Сформирована' | 'Организация' | 'Подразделение приемки заказов' | 'Сырная ГП'   | 'Администратор' | 'Перемещение вручную' |
	И я нажимаю кнопку очистить у поля "Ответственный"
	И я нажимаю кнопку очистить у поля "Номенклатура"
	И я нажимаю кнопку очистить у поля "Статус"
	И я нажимаю кнопку очистить у поля "Склад получатель"
	И я нажимаю кнопку очистить у поля "Склад отправитель"
	И я нажимаю кнопку очистить у поля "Заказ на перемещение"
	И я нажимаю кнопку очистить у поля "Задание на доставку"
	И я нажимаю кнопку очистить у поля "Подразделение"
	И я нажимаю кнопку очистить у поля "Организация"
	И я нажимаю на гиперссылку "Период"
	И Я очищаю период в диалоге стандартного периода
	Тогда открылось окно 'Перемещения товаров'
	И я закрываю окно 'Перемещения товаров'

Сценарий: 015.16. MovingProducts. Отчет Анализ исполнения заказов с этапами в заказах

	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И я нажимаю на гиперссылку "Анализ исполнения заказов"
	Тогда открылось окно 'Анализ исполнения заказов'
	И Я в отчете устанавливаю период "13.10.2019" "15.10.2019"
	* Установка этапов
		И из выпадающего списка с именем "КомпоновщикНастроекПользовательскиеНастройкиЭлемент3Значение" я выбираю точное значение 'Исходный - Заказ на перемещение'
		И из выпадающего списка с именем "КомпоновщикНастроекПользовательскиеНастройкиЭлемент4Значение" я выбираю точное значение 'Подтвержденный - Заказ на перемещение'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Анализ исполнения заказов на перемещение с этапами" по шаблону
	* Изменение этапов
		И из выпадающего списка с именем "КомпоновщикНастроекПользовательскиеНастройкиЭлемент3Значение" я выбираю точное значение 'Подтвержденный - Заказ на перемещение'
		И из выпадающего списка с именем "КомпоновщикНастроекПользовательскиеНастройкиЭлемент4Значение" я выбираю точное значение 'Исходный - Заказ на перемещение'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду, что в табличном документе 'ОтчетТабличныйДокумент' ячейка 'R12C3' станет равна '15' в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Анализ исполнения заказов на перемещение с этапами 2" по шаблону
	* Очистка этапов
		И в поле с именем 'КомпоновщикНастроекПользовательскиеНастройкиЭлемент3Значение' я ввожу текст ''
		И в поле с именем 'КомпоновщикНастроекПользовательскиеНастройкиЭлемент4Значение' я ввожу текст ''
	И Я закрываю окно 'Анализ исполнения заказов'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 015.17. MovingProducts. Завершение

	И я закрываю сеанс TESTCLIENT